#-----------------------------------------------------------------------------
#  Copyright (C) 2008 Thomas S. Ullrich 
#
#  This file is part of "eDISK".
#
#  This file may be used under the terms of the GNU General Public License.
#  This project is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License.
#  
#  Author: Thomas S. Ullrich
#  Last update: Feb 12, 2020
#-----------------------------------------------------------------------------
TEMPLATE = app
VERSION=1.0.4
CONFIG  += qt warn_on release c++11
QT += network xml widgets printsupport
RESOURCES += eDISK.qrc
QMAKE_APPLE_DEVICE_ARCHS = x86_64 arm64

win32 {
   RC_FILE += eDISK.rc
   ICON += eDISK.ico
}
macx {
   ICON += eDISK.icns
   CONFIG += x86
}

unix {
    documentation.path = /usr/local/share/eDISK/docs
    documentation.files = docs/*  license.txt gpl.txt
    target.path = /usr/local/bin/
    INSTALLS += documentation
    INSTALLS += target
}

macx {
    ICON = eDISK.icns
    eddocs.files = docs
    eddocs.path = Contents/Resources/
    edlicense.files = gpl.txt license.txt
    edlicense.path = Contents/
    edicns.file = ms.icns
    edicns.path = Contents/Resources/
    edinfo.files = Info.plist
    edinfo.path = Contents/
    QMAKE_BUNDLE_DATA += eddocs edlicense edicns edinfo
}

 
HEADERS = eDISKWindow.h \
          eDISKHelpBrowser.h \
	      eDISKinematics.h
SOURCES = main.cpp \
          eDISKWindow.cpp \
 	      eDISKHelpBrowser.cpp \
          eDISKinematics.cpp
